DPDK patches and discussions
 help / color / mirror / Atom feed
From: Piotr Sieduszewski <piotr@dobra.waw.pl>
To: dev@dpdk.org
Cc: Piotr Sieduszewski <piotr.sieduszewski@intel.com>
Subject: [dpdk-dev] [PATCH] dpdk-setup.sh: Prevent infinite loop, when end of input.
Date: Mon, 30 Mar 2020 16:18:57 +0200	[thread overview]
Message-ID: <20200330141857.4681-1-piotr@dobra.waw.pl> (raw)

From: Piotr Sieduszewski <piotr.sieduszewski@intel.com>

Signed-off-by: Piotr Sieduszewski <piotr.sieduszewski@intel.com>
---
 usertools/dpdk-setup.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/usertools/dpdk-setup.sh b/usertools/dpdk-setup.sh
index e5bbe9fee..c9660f950 100755
--- a/usertools/dpdk-setup.sh
+++ b/usertools/dpdk-setup.sh
@@ -593,7 +593,7 @@ while [ "$QUIT" == "0" ]; do
 	OPTIONS[$OPTION_NUM]="quit"
 	echo ""
 	echo -n "Option: "
-	read our_entry
+	read our_entry || break
 	echo ""
 	${OPTIONS[our_entry]} ${our_entry}
 
-- 
2.17.1


             reply	other threads:[~2020-03-30 16:03 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-03-30 14:18 Piotr Sieduszewski [this message]
2020-05-24 17:07 ` Thomas Monjalon
2020-05-24 18:01   ` Piotr
2020-05-25  5:29   ` Sieduszewski, Piotr
2020-05-25  6:55     ` Thomas Monjalon

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20200330141857.4681-1-piotr@dobra.waw.pl \
    --to=piotr@dobra.waw.pl \
    --cc=dev@dpdk.org \
    --cc=piotr.sieduszewski@intel.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).